using System;
using System.Data;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.ComponentModel;
using AjaxCurrencyConverter.net.xmethods.www;

namespace AjaxCurrencyConverter
{
    /// <summary>
    /// Summary description for ExchangeRate
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ToolboxItem(false)]
    public class ExchangeRate : System.Web.Services.WebService
    {
        [WebMethod(Description = "Returns exchange rate of 1 unit of country1's currency in country2's currency")]
        public float GetExchangRate(string country1, string country2)
        {
            CurrencyExchangeService ws =
                new CurrencyExchangeService();
            return ws.getRate(country1, country2);
        }
    }
}
